#include <NemoBench.h>

#include <vector>

#include "rci/dto/JointAngles.h"

using namespace cca;
using namespace rci;
using namespace nemo;

NEMO_REP_COUNT_HINT(1000000)

NEMO_BENCH_SUITE(JointAngles)

JointAngles a(1.234);

JointAnglesPtr onedim;
JointAnglesPtr tendim;
std::vector<JointAnglesPtr> splitted;

RealVector threevalues = RealVector(dim(3), 1.234);
RealVector tenvalues = RealVector(dim(10), 1.234);

JointAnglesPtr merged = JointAngles::fromRad(threevalues);

NEMO_BENCH_CASE_SNIPPET(CreateAnglesFromRadVector)
tendim = JointAngles::fromRad(tenvalues);
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(CreateAnglesFromDegreeVector)
tendim = JointAngles::fromDeg(tenvalues);
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(CopyJointAngles)
JointAngles b = a;
temp<unsigned long int>::value += b.getDimension();
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(PtrCopyJointAngles)
JointAnglesPtr b = JointAngles::copy(a);
temp<unsigned long int>::value += b->getDimension();
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(SplitJointAngles)
splitted = merged->split<JointAngles>();
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(MergeJointAngles)
merged->merge<JointAngles>(splitted);
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_SUITE_END()
