#include <NemoBench.h>

#include <vector>

#include "rci/dto/JointTorques.h"

using namespace cca;
using namespace rci;
using namespace nemo;

NEMO_REP_COUNT_HINT(1000000)

NEMO_BENCH_SUITE(JointTorques)

JointTorques a(1.234);

JointTorquesPtr onedim;
JointTorquesPtr tendim;
std::vector<JointTorquesPtr> splitted;

RealVector threevalues = RealVector(dim(3), 1.234);
RealVector tenvalues = RealVector(dim(10), 1.234);

JointTorquesPtr merged = JointTorques::fromNm(threevalues);

NEMO_BENCH_CASE_SNIPPET(CreateTorquesFromRadVector)
tendim = JointTorques::fromNm(tenvalues);
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(CopyJointTorques)
JointTorques b = a;
temp<unsigned long int>::value += b.getDimension();
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(PtrCopyJointTorques)
JointTorquesPtr b = JointTorques::copy(a);
temp<unsigned long int>::value += b->getDimension();
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(SplitJointTorques)
splitted = merged->split<JointTorques>();
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(MergeJointTorques)
merged->merge<JointTorques>(splitted);
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_SUITE_END()
