IF(NOT CMAKE_SYSTEM_NAME STREQUAL "Linux")
    MESSAGE(FATAL_ERROR "Cannot configure CPack to generate Debian packages on non-linux systems.")
ENDIF()

INCLUDE(CheckLSBTypes)

SET(PACKAGE_NAME "librci")
SET(VERSION_SUFFIX "${RCI_VERSION_MAJOR}.${RCI_VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION   "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}${CPACK_PACKAGE_REVISION}")
SET(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}${VERSION_SUFFIX}-${CPACK_PACKAGE_VERSION}_${LSB_CODENAME}_${LSB_PROCESSOR_ARCH}")
SET(METAPACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}_${LSB_CODENAME}_${LSB_PROCESSOR_ARCH}")

SET(CPACK_STRIP_FILES TRUE)
#SET(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)

SET(CPACK_GENERATOR "DEB")
SET(CPACK_DEBIAN_PACKAGE_NAME "${PACKAGE_NAME}${VERSION_SUFFIX}-dev")
SET(CPACK_DEBIAN_PACKAGE_VERSION ${CPACK_PACKAGE_VERSION})
SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "Arne Nordmann <anordman@cor-lab.uni-bielefeld.de>")
SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION "Robot Control Interface
 Robot Control Interface of the AMARSi Project.")
SET(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
SET(CPACK_DEBIAN_PACKAGE_SECTION "devel")
SET(CPACK_DEBIAN_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
SET(CPACK_DEBIAN_PACKAGE_DEPENDS "librsc0.9, nemomath0.4, libboost-regex-dev | libboost-regex1.48-dev")
SET(CPACK_DEBIAN_PACKAGE_SUGGESTS "libcca0.4-dev")

# Configure meta package configuration files
CONFIGURE_FILE(cpack/metapackage.conf.in ${CMAKE_BINARY_DIR}/metapackage/DEBIAN/control @ONLY)
CONFIGURE_FILE(cpack/metapackage_build.sh.in ${CMAKE_BINARY_DIR}/metapackage_build.sh)
