#include <boost/bind.hpp>
#include <boost/thread.hpp>

#include <rsc/logging/LoggerFactory.h>

#include "rci/dto/JointAngles.h"

using namespace rsc;
using namespace rsc::logging;

/**
 * Test Orientation and Rotation
 */
int main() {
	LoggerFactory::getInstance().reconfigure(Logger::LEVEL_WARN);


    // Creating and accessing a single value
    rci::JointAnglesPtr angle = rci::JointAngles::fromRad(0.123);
    std::cout << angle->deg() << std::endl;

    // Creating and accessing a joint angles vector
    nemo::RealVector degs = nemo::RealVector(nemo::dim(4), 10.0);
    rci::JointAnglesPtr angles = rci::JointAngles::fromDeg(degs);
    std::cout << angles->radVector() << std::endl;

	return EXIT_SUCCESS;
}
